#ifndef FOSSILS_H
#define FOSSILS_H
#include <stdio.h>

enum body_part
{
    SKULL,
    TORSO,
    TAIL,
    WINGS,
    LEGS,
    COMPLETE,
};

struct fossil{
    char* species;
    enum body_part part;
    size_t age;
    char has_wings;
};

struct fossil *init_fossil(char *species, enum body_part body_part, size_t age, char has_wings);
struct fossil *assemble_wingless(struct fossil *fossils[4]);
struct fossil *assemble_with_wings(struct fossil *fossils[5]);
struct fossil **assemble_all_fossils(struct fossil **fossils, size_t nb_fossils);

#endif
